stet
API reference

Update a sending profile

Requires `write` (`sending_profile:manage`). At least one field must be present.

PATCH/api/sending-profiles/{id}
AuthorizationBearer <token>

A Stet API key (prefix bk_), created under Settings → API keys. The whole API requires the Growth plan or higher; keys are scoped read or write — composing and sending require write.

In: header

Path Parameters

idstring
name?string
Length1 <= length <= 100
displayName?string
Length1 <= length <= 100
description?string | null
Lengthlength <= 500
avatarUrl?string | null
Formaturi
footerText?string | null
Lengthlength <= 500
defaultAudienceIds?array<string>
Itemsitems <= 100

Response Body

curl -X PATCH "https://app.stethq.com/api/sending-profiles/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}